<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\DatamodulHelper\KursTageHelper;

class RaumTermineKurstage extends KursTageHelper
{
  private $raumNr;

  public function __construct($toolSettings, $user, $raumNr)
  {
    parent::__construct($toolSettings, $user);
    $this->raumNr = $raumNr;
  }

  protected function getKurstageIds($dbwKurseTage)
  {
    return $dbwKurseTage->getOnlyIds(array($dbwKurseTage, 'getKurstagebyRaum'), array($this->raumNr));
  }

  protected function setzeFilter($dbwKurseTage, $pToolId)
  {
    $vonDatumDefault = \DateTimeOperations::getFirstDayOfCurrentWeek();
    $bisDatumDefault = \DateTimeOperations::getNextDate($vonDatumDefault, 6);
    $vonDatum = \SessionOperations::getVarValueWTIntern('TerminDatumVon_' . $pToolId, $vonDatumDefault);
    $bisDatum = \SessionOperations::getVarValueWTIntern('TerminDatumBis_' . $pToolId, $bisDatumDefault);
    $dbwKurseTage->fromobject->datum = $vonDatum;
    $dbwKurseTage->toobject->datum = $bisDatum;

    return $dbwKurseTage;
  }
}